Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.spring2.properties
Class EncryptablePreferencesPlaceholderConfigurer

    Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.springframework.beans.factory.config.PropertyResourceConfigurer
              org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
                  org.springframework.beans.factory.config.PreferencesPlaceholderConfigurer
                      org.jasypt.spring2.properties.EncryptablePreferencesPlaceholderConfigurer

All Implemented Interfaces:
  org.springframework.beans.factory.BeanFactoryAware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.beans.factory.InitializingBean, org.springframework.core.Ordered, org.springframework.core.PriorityOrdered

    public final class EncryptablePreferencesPlaceholderConfigurer

extends org.springframework.beans.factory.config.PreferencesPlaceholderConfigurer

Subclass of `org.springframework.beans.factory.config.PreferencesPlaceholderConfigurer` which can make use of a `StringEncryptor` or `TextEncryptor` object to decrypt preferences values if they are encrypted in the loaded resource locations.

A value is considered "encrypted" when it appears surrounded by `ENC(...)`, like:

`ENC(!"DGAS24FaIO$)`

Since:
  1.9.0 (existed in package org.jasypt.spring.properties since 1.7)
Author:
  Daniel Fernández

Field Summary

Fields inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
`DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, SYSTEM_PROPERTIES_MODE_FALLBACK, SYSTEM_PROPERTIES_MODE_NEVER, SYSTEM_PROPERTIES_MODE_OVERRIDE`

Fields inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`logger, XML_FILE_EXTENSION`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`EncryptablePreferencesPlaceholderConfigurer(org.jasypt.encryption.StringEncryptor stringEncryptor)` Creates an `EncryptablePreferencesPlaceholderConfigurer` instance which will use the passed `StringEncryptor` object to decrypt encrypted values.
`EncryptablePreferencesPlaceholderConfigurer(org.jasypt.util.text.TextEncryptor textEncryptor)` Creates an `EncryptablePreferencesPlaceholderConfigurer` instance which will use the passed `TextEncryptor` object to decrypt encrypted values.

Method Summary
`protected String` | `convertPropertyValue(String originalValue)`
`protected String` | `resolvePlaceholder(String placeholder, java.util.Properties props)`
`protected String` | `resolvePlaceholder(String path, String key, java.util.prefs.Preferences preferences)`

Methods inherited from class org.springframework.beans.factory.config.PreferencesPlaceholderConfigurer
`afterPropertiesSet, setSystemTreePath, setUserTreePath`

Methods inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
`parseStringValue, processProperties, resolvePlaceholder, resolveSystemProperty, setBeanFactory, setBeanName, setIgnoreUnresolvablePlaceholders, setPlaceholderPrefix, setPlaceholderSuffix, setSearchSystemEnvironment, setSystemPropertiesMode, setSystemPropertiesModeName`

Methods inherited from class org.springframework.beans.factory.config.PropertyResourceConfigurer
`convertProperties, getOrder, postProcessBeanFactory, setOrder`

Methods inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`loadProperties, mergeProperties, setFileEncoding, setIgnoreResourceNotFound, setLocalOverride, setLocation, setLocations, setProperties, setPropertiesArray, setPropertiesPersister`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptablePreferencesPlaceholderConfigurer

    public EncryptablePreferencesPlaceholderConfigurer(org.jasypt.encryption.StringEncryptor stringEncryptor)

  Creates an `EncryptablePreferencesPlaceholderConfigurer` instance which will use the passed `StringEncryptor` object to decrypt encrypted values.

  Parameters:
    `stringEncryptor` - the `StringEncryptor` to be used do decrypt values. It can not be null.

### EncryptablePreferencesPlaceholderConfigurer

    public EncryptablePreferencesPlaceholderConfigurer(org.jasypt.util.text.TextEncryptor textEncryptor)

  Creates an `EncryptablePreferencesPlaceholderConfigurer` instance which will use the passed `TextEncryptor` object to decrypt encrypted values.

  Parameters:
    `textEncryptor` - the `TextEncryptor` to be used do decrypt values. It can not be null.

Method Detail

### convertPropertyValue

    protected String convertPropertyValue(String originalValue)

  Overrides:
    `convertPropertyValue` in class `org.springframework.beans.factory.config.PropertyResourceConfigurer`

### resolvePlaceholder

    protected String resolvePlaceholder(String placeholder,
                                        java.util.Properties props)

  Overrides:
    `resolvePlaceholder` in class `org.springframework.beans.factory.config.PreferencesPlaceholderConfigurer`

### resolvePlaceholder

    protected String resolvePlaceholder(String path,
                                        String key,
                                        java.util.prefs.Preferences preferences)

  Overrides:
    `resolvePlaceholder` in class `org.springframework.beans.factory.config.PreferencesPlaceholderConfigurer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.